You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@trafodion.apache.org by su...@apache.org on 2016/10/27 15:13:25 UTC

[1/9] incubator-trafodion git commit: Reduce the usage of jps in dcscheck script some minor fixes

Repository: incubator-trafodion
Updated Branches:
  refs/heads/master cb5030446 -> ba3628b6f


Reduce the usage of jps in dcscheck script
some minor fixes


Project: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/commit/2f34aa7d
Tree: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/tree/2f34aa7d
Diff: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/diff/2f34aa7d

Branch: refs/heads/master
Commit: 2f34aa7d458a0e370571e5859d42e58618c75c23
Parents: c032f30
Author: Anuradha Hegde <an...@esgyn.com>
Authored: Mon Oct 3 16:33:48 2016 +0000
Committer: Anuradha Hegde <an...@esgyn.com>
Committed: Mon Oct 3 16:33:48 2016 +0000

----------------------------------------------------------------------
 core/conn/odbc/src/odbc/Makefile |  2 --
 core/sqf/sql/scripts/cleanlogs   |  1 +
 core/sqf/sql/scripts/dcscheck    | 18 ++++++++++++++----
 core/sqf/sql/scripts/sqcheck     |  6 +++++-
 4 files changed, 20 insertions(+), 7 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/2f34aa7d/core/conn/odbc/src/odbc/Makefile
----------------------------------------------------------------------
diff --git a/core/conn/odbc/src/odbc/Makefile b/core/conn/odbc/src/odbc/Makefile
index 29ec9ca..0198085 100644
--- a/core/conn/odbc/src/odbc/Makefile
+++ b/core/conn/odbc/src/odbc/Makefile
@@ -1,5 +1,3 @@
-# Top level HPDCS & WMS make file
-
 # @@@ START COPYRIGHT @@@
 #
 # Licensed to the Apache Software Foundation (ASF) under one

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/2f34aa7d/core/sqf/sql/scripts/cleanlogs
----------------------------------------------------------------------
diff --git a/core/sqf/sql/scripts/cleanlogs b/core/sqf/sql/scripts/cleanlogs
index 83d9b3a..2bbc0ec 100755
--- a/core/sqf/sql/scripts/cleanlogs
+++ b/core/sqf/sql/scripts/cleanlogs
@@ -43,6 +43,7 @@ function core_logs() {
    $L_PDSH "rm -f ${MY_SQROOT}/logs/*.err"
    $L_PDSH "rm -f ${MY_SQROOT}/logs/*.log"
    $L_PDSH "rm -f ${MY_SQROOT}/logs/*log.[0-9]*"
+   $L_PDSH "rm -f ${MY_SQROOT}/sql/scripts/stdout_*"
  fi
 }
 

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/2f34aa7d/core/sqf/sql/scripts/dcscheck
----------------------------------------------------------------------
diff --git a/core/sqf/sql/scripts/dcscheck b/core/sqf/sql/scripts/dcscheck
index a478451..307839c 100755
--- a/core/sqf/sql/scripts/dcscheck
+++ b/core/sqf/sql/scripts/dcscheck
@@ -19,8 +19,6 @@
 # @@@ END COPYRIGHT @@@
 
 dcsznode=/$USER/dcs/master
-dcstmp=/tmp/dcstmp-$USER.log
-tmpjps=/tmp/jpstmp-$USER.log
 jpscmd=$JAVA_HOME/bin/jps
 cfg_mxo_cnt=0
 act_mxo_cnt=0
@@ -40,14 +38,26 @@ else
    L_PDSH=
 fi
 
+dcstmp=`mktemp -t`
+if [[ $? != 0 ]]; then
+    echo "Error while getting a temporary file for dcstmp. Exiting."
+    exit 3
+fi
+
+tmpjps=`mktemp -t`
+if [[ $? != 0 ]]; then
+    echo "Error while getting a temporary file for tmpjps. Exiting."
+    exit 3
+fi
+
 tmp_ps=`mktemp -t`
 if [[ $? != 0 ]]; then
-    echo "Error while getting a temporary file. Exiting."
+    echo "Error while getting a temporary file for tmp_ps. Exiting."
     exit 3
 fi
 tmp_chk=`mktemp -t`
 if [[ $? != 0 ]]; then
-    echo "Error while getting a temporary file. Exiting."
+    echo "Error while getting a temporary file tmp_chk. Exiting."
     exit 3
 fi
 

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/2f34aa7d/core/sqf/sql/scripts/sqcheck
----------------------------------------------------------------------
diff --git a/core/sqf/sql/scripts/sqcheck b/core/sqf/sql/scripts/sqcheck
index c7b971a..737a7f3 100755
--- a/core/sqf/sql/scripts/sqcheck
+++ b/core/sqf/sql/scripts/sqcheck
@@ -161,7 +161,11 @@ function getRestInfo {
 }
 
 jpscmd=$JAVA_HOME/bin/jps
-tmpjps=/tmp/tmpjps-$USER.log
+tmpjps=`mktemp -t`
+if [[ $? != 0 ]]; then
+    echo "Error while getting a temporary file for tmpjps. Exiting."
+    exit 3
+fi
 begin_time_seconds=$(date +%s)
 
 declare -i max_checks


[3/9] incubator-trafodion git commit: Merge branch 'master' of github.com:apache/incubator-trafodion into wrkbrnch

Posted by su...@apache.org.
Merge branch 'master' of github.com:apache/incubator-trafodion into wrkbrnch


Project: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/commit/1605595e
Tree: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/tree/1605595e
Diff: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/diff/1605595e

Branch: refs/heads/master
Commit: 1605595e6da911c379698a0b8ef8e1b79a2437cc
Parents: c3c4736 5cd718a
Author: Anuradha Hegde <an...@esgyn.com>
Authored: Thu Oct 6 19:08:03 2016 +0000
Committer: Anuradha Hegde <an...@esgyn.com>
Committed: Thu Oct 6 19:08:03 2016 +0000

----------------------------------------------------------------------
 core/conn/jdbc_type2/native/SQLMXDriver.cpp     |  13 --
 core/sqf/commonLogger/CommonLogger.cpp          |   5 +-
 core/sqf/commonLogger/CommonLogger.h            |   2 +
 core/sql/cli/CliExtern.cpp                      |  15 +-
 core/sql/cli/ExSqlComp.cpp                      |   2 +-
 core/sql/common/Ipc.cpp                         |  22 ++-
 core/sql/common/Ipc.h                           |   2 +-
 core/sql/executor/ex_frag_rt.cpp                |  30 +---
 core/sql/exp/exp_conv.cpp                       |   2 +-
 core/sql/generator/GenRelUpdate.cpp             | 150 ++-----------------
 core/sql/optimizer/NormRelExpr.cpp              |  29 ++--
 core/sql/optimizer/RelExpr.cpp                  |   8 +
 core/sql/optimizer/RelJoin.h                    |   2 +-
 core/sql/optimizer/RelMisc.h                    |   1 +
 core/sql/qmscommon/QRLogger.cpp                 |   8 +-
 core/sql/regress/compGeneral/EXPECTED011.SB     |  22 ++-
 core/sql/regress/seabase/EXPECTED020            |  23 +++
 core/sql/regress/seabase/TEST020                |  10 ++
 core/sql/sqlmxevents/logmxevent_traf.cpp        |   8 +-
 core/sql/ustat/hs_globals.cpp                   |   2 +-
 docs/src/site/markdown/index.md                 |  21 +--
 .../site/resources/images/carousel/meetup.png   | Bin 81640 -> 0 bytes
 docs/src/site/site.xml                          |   2 +-
 install/installer/traf_cloudera_mods            |  11 +-
 .../phoenix/end2end/MultiCfQueryExecTest.java   |   9 --
 .../end2end/SaltedTableUpsertSelectTest.java    |   2 +-
 26 files changed, 149 insertions(+), 252 deletions(-)
----------------------------------------------------------------------



[2/9] incubator-trafodion git commit: Merge branch 'master' of github.com:apache/incubator-trafodion into wrkbrnch

Posted by su...@apache.org.
Merge branch 'master' of github.com:apache/incubator-trafodion into wrkbrnch


Project: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/commit/c3c47361
Tree: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/tree/c3c47361
Diff: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/diff/c3c47361

Branch: refs/heads/master
Commit: c3c47361ea50c2667283a4d433bf0adb82cc475e
Parents: 2f34aa7 c760dd9
Author: Anuradha Hegde <an...@esgyn.com>
Authored: Mon Oct 3 16:34:42 2016 +0000
Committer: Anuradha Hegde <an...@esgyn.com>
Committed: Mon Oct 3 16:34:42 2016 +0000

----------------------------------------------------------------------
 core/conn/odbc/src/odbc/nsksrvr/SrvrConnect.cpp |   118 +-
 core/conn/odbc/src/odbc/nsksrvrcore/Makefile    |     2 +-
 core/dbsecurity/auth/Makefile                   |    24 +-
 core/dbsecurity/auth/depend.mk                  |     8 +-
 core/dbsecurity/auth/inc/authEvents.h           |   107 +
 core/dbsecurity/auth/inc/dbUserAuth.h           |     2 +
 core/dbsecurity/auth/inc/ld_globals.h           |    48 -
 core/dbsecurity/auth/inc/ldapconfignode.h       |    46 +-
 core/dbsecurity/auth/src/authEvents.cpp         |   176 +
 core/dbsecurity/auth/src/dbUserAuth.cpp         |   319 +-
 core/dbsecurity/auth/src/ld_port.cpp            |   201 -
 core/dbsecurity/auth/src/ldapcheck.cpp          |   465 +-
 core/dbsecurity/auth/src/ldapconfignode.cpp     |   403 +-
 core/dbsecurity/macros.gmk                      |     8 +-
 core/sqf/conf/log4cxx.trafodion.auth.config     |    49 +
 core/sqf/conf/log4j.hdfs.config                 |     2 +
 .../export/include/common/evl_sqlog_eventnum.h  |    44 +-
 core/sqf/export/include/seabed/mslimits.h       |     4 +-
 core/sqf/monitor/linux/cluster.cxx              |   249 +-
 core/sqf/monitor/linux/cluster.h                |     1 +
 core/sqf/monitor/linux/makefile                 |    25 +-
 core/sqf/monitor/linux/monitor.cxx              |   187 +
 core/sqf/monitor/linux/monitor.h                |     2 +
 core/sqf/monitor/linux/msgdef.h                 |     8 +-
 core/sqf/monitor/linux/zclient.cxx              |  1432 ++
 core/sqf/monitor/linux/zclient.h                |   116 +
 core/sqf/monitor/linux/zootest.cxx              |   283 +
 core/sqf/monitor/linux/zootest.h                |    34 +
 core/sqf/sqenvcom.sh                            |    22 +-
 core/sqf/sql/scripts/build_apidocs.sh           |   117 +
 core/sqf/sql/scripts/cleanZKNodes               |    33 +
 core/sqf/sql/scripts/install_local_hadoop       |     8 +
 core/sqf/sql/scripts/sqcheck                    |    27 +-
 core/sqf/sql/scripts/sqnodes.pm                 |     4 +-
 core/sqf/sql/scripts/sqstart                    |     2 +
 .../hbase/client/transactional/RMInterface.java |   104 +-
 .../transactional/SsccTransactionalTable.java   |   262 +-
 .../transactional/TransactionManager.java       |    11 +-
 .../client/transactional/TransactionState.java  |    41 +-
 .../transactional/TransactionalTable.java       |   340 +-
 .../transactional/TransactionalTableClient.java |    48 +-
 .../transactional/SsccRegionEndpoint.java.tmpl  |   768 +-
 .../transactional/TrxRegionEndpoint.java.tmpl   |   983 +-
 .../transactional/TrxRegionObserver.java.tmpl   |    56 +-
 .../generated/SsccRegionProtos.java             | 14820 +++++++++++++----
 .../generated/TrxRegionProtos.java              | 13843 +++++++++++----
 .../transactional/SsccTransactionState.java     |    15 +-
 .../transactional/TransactionState.java         |    30 +-
 .../transactional/TrxTransactionState.java.tmpl |    20 +-
 .../src/main/protobuf/SsccRegion.proto          |    76 +
 .../hbase-trx/src/main/protobuf/TrxRegion.proto |    69 +-
 .../tm/hbasetmlib2/javaobjectinterfacetm.cpp    |    74 +-
 .../tm/hbasetmlib2/javaobjectinterfacetm.h      |     2 +
 .../java/org/trafodion/dtm/HBaseTxClient.java   |    49 +-
 .../java/org/trafodion/dtm/TmAuditTlog.java     |    11 +-
 core/sqf/src/tm/tm.cpp                          |     2 +-
 core/sqf/src/tm/tmddlrequests.cpp               |    27 +-
 core/sqf/src/tm/tmddlrequests.h                 |     8 +-
 core/sqf/src/tm/tminfo.cpp                      |     2 -
 core/sqf/src/tm/tmlogging.cpp                   |    15 +-
 core/sqf/src/tm/tmtransaction.cpp               |    18 +-
 core/sql/SqlCompilerDebugger/TDBTreeView.cpp    |    10 +-
 core/sql/bin/SqlciErrors.txt                    |    19 +-
 core/sql/cli/Cli.cpp                            |     4 +-
 core/sql/cli/Context.cpp                        |     7 -
 core/sql/cli/Context.h                          |     2 -
 core/sql/comexe/ComTdbHbaseAccess.h             |     7 +-
 core/sql/comexe/ComTdbSortGrby.cpp              |     3 +-
 core/sql/comexe/ComTdbSortGrby.h                |    23 +-
 core/sql/common/ComSmallDefs.h                  |     1 +
 core/sql/common/ComSysUtils.cpp                 |    42 +
 core/sql/common/ComSysUtils.h                   |     1 +
 core/sql/common/ExprNode.cpp                    |     5 +
 core/sql/common/NumericType.cpp                 |     6 +
 core/sql/common/NumericType.h                   |     2 +
 core/sql/common/OperTypeEnum.h                  |     9 +
 core/sql/common/str.cpp                         |   310 +-
 core/sql/common/str.h                           |    10 +
 core/sql/executor/ExExeUtilCli.cpp              |     8 +-
 core/sql/executor/ExExeUtilExplain.cpp          |    19 +
 core/sql/executor/ExExeUtilMisc.cpp             |    12 +-
 core/sql/executor/ExExplain.cpp                 |    11 +-
 core/sql/executor/ExFastTransport.cpp           |    16 +-
 core/sql/executor/ExFastTransport.h             |     2 +-
 core/sql/executor/ExHbaseIUD.cpp                |    19 +-
 core/sql/executor/ExHdfsScan.cpp                |    12 +-
 core/sql/executor/ExSequence.cpp                |    17 +-
 core/sql/executor/ExSequence.h                  |     4 +-
 core/sql/executor/HBaseClient_JNI.cpp           |   114 +-
 core/sql/executor/HBaseClient_JNI.h             |    35 +-
 core/sql/executor/JavaObjectInterface.cpp       |    32 +-
 core/sql/executor/JavaObjectInterface.h         |     2 +
 core/sql/executor/ex_globals.h                  |    14 +
 core/sql/executor/ex_sort_grby.cpp              |  1041 +-
 core/sql/executor/ex_sort_grby.h                |   120 +-
 core/sql/exp/ExpAtp.cpp                         |     1 -
 core/sql/exp/ExpHbaseInterface.cpp              |    91 +-
 core/sql/exp/ExpHbaseInterface.h                |    63 +-
 core/sql/exp/ExpLOBaccess.cpp                   |    38 +-
 core/sql/exp/ExpLOBaccess.h                     |     7 +-
 core/sql/exp/ExpLOBinterface.cpp                |    12 +-
 core/sql/exp/ExpLOBinterface.h                  |     4 +-
 core/sql/exp/ExpPCodeClauseGen.cpp              |     8 +
 core/sql/exp/ExpPCodeOptsNativeExpr.cpp         |     1 -
 core/sql/exp/ExpPackDefs.cpp                    |    14 +
 core/sql/exp/ExpSequenceFunction.cpp            |    18 +-
 core/sql/exp/ExpSequenceFunction.h              |     2 +
 core/sql/exp/ExpSqlTupp.h                       |     3 +-
 core/sql/exp/exp_clause.cpp                     |    42 +-
 core/sql/exp/exp_clause.h                       |    19 +-
 core/sql/exp/exp_clause_derived.h               |     8 +-
 core/sql/exp/exp_comp.cpp                       |   108 +-
 core/sql/exp/exp_conv.cpp                       |    13 +-
 core/sql/exp/exp_datetime.cpp                   |   197 +-
 core/sql/exp/exp_function.cpp                   |   366 +
 core/sql/exp/exp_function.h                     |    93 +
 core/sql/exp/exp_math_func.cpp                  |    12 +
 core/sql/generator/GenExpGenerator.cpp          |     1 -
 core/sql/generator/GenExplain.cpp               |    26 +-
 core/sql/generator/GenItemExpr.cpp              |     4 +
 core/sql/generator/GenItemFunc.cpp              |    29 +
 core/sql/generator/GenPreCode.cpp               |   113 +-
 core/sql/generator/GenRelGrby.cpp               |    85 +-
 core/sql/generator/GenRelScan.cpp               |     2 +
 core/sql/generator/GenRelSequence.cpp           |    54 +-
 core/sql/generator/GenRelUpdate.cpp             |    49 +-
 core/sql/generator/GenSequenceFunction.cpp      |   102 +
 core/sql/generator/GenShape.cpp                 |    15 +
 core/sql/langman/LmRoutineJavaObj.cpp           |     1 +
 core/sql/optimizer/BindItemExpr.cpp             |    22 +-
 core/sql/optimizer/BindRelExpr.cpp              |   116 +-
 core/sql/optimizer/BindWA.h                     |     5 +
 core/sql/optimizer/ImplRule.cpp                 |     8 +
 core/sql/optimizer/ItemExpr.cpp                 |   104 +-
 core/sql/optimizer/ItemExpr.h                   |    10 +-
 core/sql/optimizer/ItemFunc.h                   |    99 +-
 core/sql/optimizer/ItemLog.h                    |    22 +-
 core/sql/optimizer/NormItemExpr.cpp             |    40 +-
 core/sql/optimizer/NormRelExpr.cpp              |    30 +-
 core/sql/optimizer/OptPhysRelExpr.cpp           |    16 +-
 core/sql/optimizer/RelCache.cpp                 |    12 +
 core/sql/optimizer/RelExeUtil.cpp               |    80 +-
 core/sql/optimizer/RelExpr.cpp                  |    47 +-
 core/sql/optimizer/RelGrby.h                    |    39 +-
 core/sql/optimizer/RelRoutine.cpp               |     6 -
 core/sql/optimizer/RelRoutine.h                 |     2 -
 core/sql/optimizer/RelScan.h                    |     5 +
 core/sql/optimizer/RelSequence.cpp              |     8 +
 core/sql/optimizer/RelSequence.h                |     4 +
 core/sql/optimizer/RelSet.h                     |     4 +
 core/sql/optimizer/RelUpdate.h                  |     6 +
 core/sql/optimizer/SynthType.cpp                |   251 +-
 core/sql/optimizer/TransRule.cpp                |    12 +-
 core/sql/optimizer/ValueDesc.cpp                |    40 +
 core/sql/optimizer/ValueDesc.h                  |    16 +-
 core/sql/parser/HvRoles.h                       |     2 +-
 core/sql/parser/ParKeyWords.cpp                 |     7 +
 core/sql/parser/SqlParserAux.cpp                |    11 +-
 core/sql/parser/sqlparser.y                     |   129 +-
 core/sql/regress/charsets/EXPECTED003           |     3 +-
 core/sql/regress/charsets/EXPECTED012           |     4 +-
 core/sql/regress/charsets/EXPECTED310           |     4 +-
 core/sql/regress/charsets/EXPECTED311           |     4 +-
 core/sql/regress/charsets/TEST310               |     4 +-
 core/sql/regress/charsets/TEST311               |     4 +-
 core/sql/regress/compGeneral/DIFF042.KNOWN      |    88 +
 core/sql/regress/compGeneral/EXPECTED006.SB     |   508 +
 core/sql/regress/compGeneral/EXPECTED013.SB     |    11 +-
 core/sql/regress/compGeneral/EXPECTED023        |   112 +-
 core/sql/regress/compGeneral/EXPECTED042        |    87 +-
 core/sql/regress/compGeneral/EXPECTED071        |     8 +-
 core/sql/regress/compGeneral/TEST006            |   157 +-
 core/sql/regress/compGeneral/TEST011            |     1 +
 core/sql/regress/compGeneral/TEST023            |    32 +-
 core/sql/regress/compGeneral/TEST071            |     2 +
 core/sql/regress/core/EXPECTED029.SB            |   105 +-
 core/sql/regress/core/EXPECTED037.SB            |     7 +-
 core/sql/regress/core/EXPECTED038.LINUX         |     2 +-
 core/sql/regress/core/EXPECTED056.SB            |     9 +
 core/sql/regress/core/EXPECTED061.SB            |     8 +-
 core/sql/regress/core/EXPECTED116               |   632 +-
 core/sql/regress/core/EXPECTEDRTS               |  1362 +-
 core/sql/regress/core/TEST116                   |   198 +
 core/sql/regress/executor/EXPECTED013.SB        |    56 +-
 core/sql/regress/executor/EXPECTED014.SB        |    22 +-
 core/sql/regress/executor/EXPECTED015.SB        |    16 +
 core/sql/regress/executor/EXPECTED016.SB        |    14 +-
 core/sql/regress/executor/EXPECTED022.SB        |     8 +-
 core/sql/regress/executor/EXPECTED122           |     9 +-
 core/sql/regress/executor/EXPECTED131           |    24 +-
 core/sql/regress/executor/EXPECTED140           |    74 +-
 core/sql/regress/executor/TEST015               |     4 +
 core/sql/regress/executor/TEST106               |     4 +
 core/sql/regress/executor/TEST140               |     2 +
 core/sql/regress/hive/DIFF003.KNOWN             |    10 +
 core/sql/regress/hive/EXPECTED003               |     7 +-
 core/sql/regress/hive/EXPECTED005               |    24 +-
 core/sql/regress/hive/EXPECTED018               |   189 +-
 core/sql/regress/hive/TEST003                   |     1 +
 core/sql/regress/privs1/EXPECTED132             |   193 +-
 core/sql/regress/privs1/EXPECTED136             |     2 +
 core/sql/regress/privs1/TEST132                 |    39 +
 core/sql/regress/privs2/EXPECTED129             |    23 +-
 core/sql/regress/privs2/EXPECTED135             |    17 +-
 core/sql/regress/privs2/EXPECTED138             |    22 +
 core/sql/regress/privs2/EXPECTED139             |   165 +
 core/sql/regress/privs2/EXPECTED140             |     4 +-
 core/sql/regress/privs2/EXPECTED142             |     6 +
 core/sql/regress/privs2/TEST139                 |    34 +
 core/sql/regress/qat/eqatddl01                  |     3 +
 core/sql/regress/qat/qatddl01                   |     1 +
 core/sql/regress/seabase/EXPECTED003            |    42 +
 core/sql/regress/seabase/EXPECTED010            |   611 +-
 core/sql/regress/seabase/EXPECTED011            |    22 +-
 core/sql/regress/seabase/EXPECTED012            |     5 +-
 core/sql/regress/seabase/EXPECTED016            |    56 +-
 core/sql/regress/seabase/EXPECTED020            |    56 +-
 core/sql/regress/seabase/EXPECTED025            |    36 +-
 core/sql/regress/seabase/EXPECTED027            |    85 +-
 core/sql/regress/seabase/EXPECTED030            |    61 +-
 core/sql/regress/seabase/EXPECTED031            |    53 +-
 core/sql/regress/seabase/EXPECTED032            |   122 +-
 core/sql/regress/seabase/EXPECTED033            |   617 +
 core/sql/regress/seabase/EXPECTED040            |    11 +
 core/sql/regress/seabase/TEST003                |     3 +
 core/sql/regress/seabase/TEST010                |     2 +
 core/sql/regress/seabase/TEST011                |     1 +
 core/sql/regress/seabase/TEST027                |     1 +
 core/sql/regress/seabase/TEST030                |     8 +
 core/sql/regress/seabase/TEST031                |    12 +
 core/sql/regress/seabase/TEST032                |    27 +
 core/sql/regress/seabase/TEST033                |   162 +
 core/sql/regress/tools/regress-filter-linux     |     3 +
 core/sql/regress/tools/runregr                  |     1 +
 core/sql/regress/tools/sbdefs                   |     3 +-
 core/sql/sqlci/SqlCmd.cpp                       |     6 +-
 core/sql/sqlcomp/CmpDescribe.cpp                |     3 -
 core/sql/sqlcomp/CmpSeabaseDDL.h                |     1 +
 core/sql/sqlcomp/CmpSeabaseDDLcommon.cpp        |   143 +-
 core/sql/sqlcomp/CmpSeabaseDDLmd.h              |    24 +
 core/sql/sqlcomp/CmpSeabaseDDLrepos.h           |     6 +-
 core/sql/sqlcomp/CmpSeabaseDDLschema.cpp        |    12 +-
 core/sql/sqlcomp/CmpSeabaseDDLtable.cpp         |     2 +-
 core/sql/sqlcomp/CmpSeabaseDDLupgrade.cpp       |     3 -
 core/sql/sqlcomp/DefaultConstants.h             |    12 +-
 core/sql/sqlcomp/PrivMgrDesc.cpp                |    36 +-
 core/sql/sqlcomp/PrivMgrDesc.h                  |    22 +-
 core/sql/sqlcomp/PrivMgrMDDefs.h                |    32 +-
 core/sql/sqlcomp/PrivMgrPrivileges.cpp          |  1351 +-
 core/sql/sqlcomp/PrivMgrPrivileges.h            |    78 +-
 core/sql/sqlcomp/QCache.cpp                     |     1 +
 core/sql/sqlcomp/nadefaults.cpp                 |    31 +-
 core/sql/sqlcomp/parser.cpp                     |     2 +-
 core/sql/sqludr/doxygen_tmudr.1.6.config        |     9 +-
 .../java/org/trafodion/sql/HBaseClient.java     |   158 +-
 .../java/org/trafodion/sql/HTableClient.java    |   264 +-
 core/sql/ustat/hs_cli.cpp                       |    53 +-
 core/sql/ustat/hs_const.h                       |     6 +-
 core/sql/ustat/hs_globals.cpp                   |    93 +-
 core/sql/ustat/hs_yacc.y                        |    48 +-
 .../org/trafodion/dcs/server/ServerManager.java |   115 +-
 dcs/src/test/pytests/test-requirements.txt      |     2 +-
 .../src/asciidoc/_chapters/about.adoc           |     4 +-
 .../src/asciidoc/_chapters/sort_msgs.adoc       |   211 +-
 .../asciidoc/_chapters/update_stats_msgs.adoc   |   497 +
 docs/messages_guide/src/asciidoc/index.adoc     |     1 +
 docs/shared/revisions.txt                       |     1 +
 .../src/asciidoc/_chapters/about.adoc           |    15 +-
 .../src/asciidoc/_chapters/sql_statements.adoc  |     4 +
 .../src/asciidoc/_chapters/sql_utilities.adoc   |    86 +-
 install/installer/bashrc_default                |     2 +-
 install/installer/tools/ambari_setup            |     2 +-
 install/installer/traf_add_sudoAccess           |     4 +-
 install/installer/traf_cloudera_mods            |     6 +-
 install/installer/traf_config_check             |   160 +-
 install/installer/trafodion_install             |    65 +-
 tests/phx/pom.xml.template                      |     4 +-
 .../phoenix/end2end/MultiCfQueryExecTest.java   |    14 +-
 .../end2end/SaltedTableUpsertSelectTest.java    |    13 +-
 279 files changed, 38394 insertions(+), 12496 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/c3c47361/core/sqf/sql/scripts/sqcheck
----------------------------------------------------------------------
diff --cc core/sqf/sql/scripts/sqcheck
index 737a7f3,b5d79ae..7fbc958
--- a/core/sqf/sql/scripts/sqcheck
+++ b/core/sqf/sql/scripts/sqcheck
@@@ -160,12 -164,23 +164,27 @@@ function getRestInfo 
  
  }
  
+ function getNodeStatus {
+   sq_tmp_node_info=`mktemp -t`
+   sqshell -c zone nid $check_node  > $sq_tmp_node_info
+   sq_tmp_lnode_up=`mktemp -t`
+   grep -i 'up' $sq_tmp_node_info | awk '{ print $4 }' | grep -i 'up' > $sq_tmp_lnode_up
+   for lnodeup in `cat $sq_tmp_lnode_up`; do
+     let ++act_lnode_up_cnt
+   done
+   if ( [ $act_lnode_up_cnt '>' 0 ] ); then
+      exit 0;
+   else
+      exit -1;
+   fi
+ }
+ 
  jpscmd=$JAVA_HOME/bin/jps
 -tmpjps=/tmp/tmpjps-$USER.log
 +tmpjps=`mktemp -t`
 +if [[ $? != 0 ]]; then
 +    echo "Error while getting a temporary file for tmpjps. Exiting."
 +    exit 3
 +fi
  begin_time_seconds=$(date +%s)
  
  declare -i max_checks


[9/9] incubator-trafodion git commit: Merge [TRAFODION-2307] PR-785 Documentation update for REST and DCS

Posted by su...@apache.org.
Merge [TRAFODION-2307] PR-785 Documentation update for REST and DCS 


Project: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/commit/ba3628b6
Tree: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/tree/ba3628b6
Diff: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/diff/ba3628b6

Branch: refs/heads/master
Commit: ba3628b6fd5a1fe8ef2dfa185fb834b658ee05b1
Parents: cb50304 adaa03a
Author: Suresh Subbiah <su...@apache.org>
Authored: Thu Oct 27 15:11:17 2016 +0000
Committer: Suresh Subbiah <su...@apache.org>
Committed: Thu Oct 27 15:11:17 2016 +0000

----------------------------------------------------------------------
 core/conn/odbc/src/odbc/Makefile                |   2 -
 core/rest/src/main/asciidoc/_chapters/apis.adoc | 182 ++++++-------------
 .../main/asciidoc/_chapters/architecture.adoc   |   6 +-
 .../main/asciidoc/_chapters/configuration.adoc  |  26 +--
 .../asciidoc/_chapters/troubleshooting.adoc     |   6 +-
 core/rest/src/main/asciidoc/index.adoc          |   4 +-
 .../main/java/org/trafodion/rest/Constants.java |   2 +-
 core/sqf/sql/scripts/cleanlogs                  |   8 +
 core/sqf/sql/scripts/dcscheck                   |  18 +-
 core/sqf/sql/scripts/install_traf_components    |   3 +-
 core/sqf/sql/scripts/sqcheck                    |   6 +-
 .../main/asciidoc/_chapters/configuration.adoc  |  17 +-
 .../asciidoc/_chapters/troubleshooting.adoc     |  18 +-
 dcs/src/main/resources/dcs-default.xml          |   2 +-
 .../src/asciidoc/_chapters/requirements.adoc    |   2 +-
 15 files changed, 127 insertions(+), 175 deletions(-)
----------------------------------------------------------------------



[8/9] incubator-trafodion git commit: Merge branch 'master' of github.com:apache/incubator-trafodion into wrkbrnch

Posted by su...@apache.org.
Merge branch 'master' of github.com:apache/incubator-trafodion into wrkbrnch


Project: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/commit/adaa03a7
Tree: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/tree/adaa03a7
Diff: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/diff/adaa03a7

Branch: refs/heads/master
Commit: adaa03a7b2bac5f773d80b0cef2bdf23690d7d52
Parents: f7f1ee9 de82dfb
Author: Anuradha Hegde <an...@esgyn.com>
Authored: Tue Oct 25 20:17:09 2016 +0000
Committer: Anuradha Hegde <an...@esgyn.com>
Committed: Tue Oct 25 20:17:09 2016 +0000

----------------------------------------------------------------------
 .gitignore                                      |   1 +
 core/Makefile                                   |  54 +-
 .../transactional/TrxRegionEndpoint.java.tmpl   |   2 +-
 core/sql/regress/executor/DIFF107.KNOWN.SB      |  16 -
 core/sql/regress/executor/DIFF107.KNOWN.SB.OS   |  14 -
 core/sql/regress/executor/EXPECTED107           | 565 ++++++++++++++++++
 core/sql/regress/executor/EXPECTED107.LINUX     | 574 -------------------
 core/sql/regress/executor/TEST107               |  51 +-
 core/sql/sort/SortTopN.cpp                      |   8 +
 core/trafodion.spec                             | 114 ++++
 10 files changed, 760 insertions(+), 639 deletions(-)
----------------------------------------------------------------------



[4/9] incubator-trafodion git commit: Merge branch 'master' of github.com:apache/incubator-trafodion into wrkbrnch

Posted by su...@apache.org.
Merge branch 'master' of github.com:apache/incubator-trafodion into wrkbrnch


Project: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/commit/d457ac0f
Tree: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/tree/d457ac0f
Diff: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/diff/d457ac0f

Branch: refs/heads/master
Commit: d457ac0fb5b3d11e217959e0a6708f592b526881
Parents: 1605595 196e6f4
Author: Anuradha Hegde <an...@esgyn.com>
Authored: Wed Oct 19 21:17:10 2016 +0000
Committer: Anuradha Hegde <an...@esgyn.com>
Committed: Wed Oct 19 21:17:10 2016 +0000

----------------------------------------------------------------------
 .../odbc/src/odbc/nsksrvrcore/srvrothers.cpp    |   39 +-
 core/sqf/monitor/linux/zclient.cxx              |   16 +-
 core/sqf/sql/scripts/rmscheck                   |    2 +-
 core/sqf/sql/scripts/traf_authentication_setup  |    2 +-
 .../SqlCompilerDebugger/ItemExpressionView.cpp  |    4 +-
 core/sql/arkcmp/CmpContext.cpp                  |    8 +-
 core/sql/arkcmp/CmpContext.h                    |    8 -
 core/sql/arkcmp/CmpStatement.cpp                |    7 +-
 core/sql/arkcmp/CmpStoredProc.cpp               |    2 +-
 core/sql/arkcmp/cmpargs.cpp                     |    2 +-
 core/sql/bin/SqlciErrors.txt                    |   10 +-
 core/sql/cli/Cli.cpp                            |  110 +-
 core/sql/cli/Cli.h                              |   16 -
 core/sql/cli/CliExtern.cpp                      |   73 +-
 core/sql/cli/Context.cpp                        |   21 +-
 core/sql/cli/ExSqlComp.cpp                      |    8 +-
 core/sql/cli/Globals.cpp                        |   17 +-
 core/sql/cli/Statement.cpp                      | 1893 +-------
 core/sql/cli/Statement.h                        |   50 +-
 core/sql/comexe/CmpMessage.cpp                  |   28 +-
 core/sql/comexe/CmpMessage.h                    |   30 +-
 core/sql/comexe/ComTdbRoot.cpp                  |    9 +-
 core/sql/comexe/ComTdbRoot.h                    |    9 +-
 core/sql/comexe/ComTdbSort.h                    |   10 +-
 core/sql/comexe/LateBindInfo.cpp                |  393 +-
 core/sql/comexe/LateBindInfo.h                  |  679 +--
 core/sql/common/BloomFilter.cpp                 |    2 +-
 core/sql/common/ColIndList.h                    |    4 +-
 core/sql/common/Collections.cpp                 |    1 -
 core/sql/common/Collections.h                   |   47 +-
 core/sql/common/ComDistribution.cpp             |    3 +-
 core/sql/common/ComExeTrace.cpp                 |    1 +
 core/sql/common/ComSecurityKey.cpp              |  156 +-
 core/sql/common/ComSecurityKey.h                |    9 +-
 core/sql/common/Ipc.h                           |    4 +-
 core/sql/common/NAMemory.cpp                    |    2 +-
 core/sql/common/NATestpoint.cpp                 |    3 +-
 core/sql/common/NATraceList.h                   |    2 +-
 core/sql/executor/ExExeUtilLoad.cpp             |    3 +-
 core/sql/executor/ExExeUtilMisc.cpp             |    5 +-
 core/sql/executor/ExFastTransport.cpp           |   13 +-
 core/sql/executor/ExFastTransport.h             |    4 +-
 core/sql/executor/ExHbaseAccess.cpp             |    1 +
 core/sql/executor/ExHbaseDDL.cpp                |    2 +-
 core/sql/executor/ExHdfsScan.cpp                |    5 +-
 core/sql/executor/Ex_esp_msg.h                  |   40 -
 core/sql/executor/dfs2fe.h                      |    4 +-
 core/sql/executor/ex_control.cpp                |    2 +-
 core/sql/executor/ex_ddl.cpp                    |    3 -
 core/sql/executor/ex_esp_frag_dir.cpp           |   11 -
 core/sql/executor/ex_esp_msg.cpp                |  243 -
 core/sql/executor/ex_frag_rt.cpp                |   33 -
 core/sql/executor/ex_globals.cpp                |    2 +
 core/sql/executor/ex_sort.cpp                   |   16 +-
 core/sql/exp/ExpLOB.h                           |    4 +-
 core/sql/exp/ExpLOBaccess.cpp                   |  119 +-
 core/sql/exp/ExpLOBaccess.h                     |   14 +-
 core/sql/exp/ExpLOBinterface.cpp                |   31 +-
 core/sql/exp/ExpLOBinterface.h                  |    9 +-
 core/sql/exp/ExpPCodeOptimizations.cpp          |    2 +-
 core/sql/exp/ExpPCodeOptsBulk.cpp               |    4 +-
 core/sql/exp/ExpPCodeOptsNativeExpr.cpp         |    2 +-
 core/sql/exp/exp_clause_derived.h               |    6 +
 core/sql/exp/exp_fixup.cpp                      |  110 +-
 core/sql/exp/exp_tuple_desc.cpp                 |   17 +-
 core/sql/export/ComDiags.cpp                    |    4 +-
 core/sql/generator/GenExplain.cpp               |    4 +-
 core/sql/generator/GenFastTransport.cpp         |   25 +-
 core/sql/generator/GenKey.cpp                   |    2 +-
 core/sql/generator/GenRelExeUtil.cpp            |    7 +-
 core/sql/generator/GenRelGrby.cpp               |    2 +-
 core/sql/generator/GenRelJoin.cpp               |    2 +-
 core/sql/generator/GenRelMisc.cpp               |  105 +-
 core/sql/generator/GenRelScan.cpp               |   47 +-
 core/sql/generator/GenRelUpdate.cpp             |   12 +-
 core/sql/generator/GenResources.cpp             |    2 +-
 core/sql/generator/Generator.cpp                |   32 +-
 core/sql/generator/Generator.h                  |   10 +
 core/sql/langman/LmRoutineJava.cpp              |    3 +-
 core/sql/langman/LmUtility.cpp                  |    2 +-
 core/sql/nskgmake/sort/Makefile                 |    3 +-
 core/sql/optimizer/Analyzer.cpp                 |   15 +-
 core/sql/optimizer/Analyzer.h                   |    5 +
 core/sql/optimizer/BindItemExpr.cpp             |    6 +-
 core/sql/optimizer/BindRI.cpp                   |    2 +-
 core/sql/optimizer/BindRelExpr.cpp              |  151 +-
 core/sql/optimizer/BindWA.cpp                   |    1 +
 core/sql/optimizer/BindWA.h                     |    2 +-
 core/sql/optimizer/CacheWA.cpp                  |    3 +
 core/sql/optimizer/ColStatDesc.cpp              |   20 +-
 core/sql/optimizer/ControlDB.cpp                |    8 +-
 core/sql/optimizer/EncodedValue.cpp             |    3 +-
 core/sql/optimizer/HDFSHook.cpp                 |    2 +-
 core/sql/optimizer/HbaseSearchSpec.h            |   52 +-
 core/sql/optimizer/ImplRule.cpp                 |    4 -
 core/sql/optimizer/Inlining.cpp                 |   19 -
 core/sql/optimizer/ItemFuncUDF.h                |   11 +-
 core/sql/optimizer/ItemOther.h                  |    2 +-
 core/sql/optimizer/LargeScopeRules.cpp          |    4 +-
 core/sql/optimizer/MJVIndexBuilder.cpp          |   12 +-
 core/sql/optimizer/MVCandidates.cpp             |   10 +-
 core/sql/optimizer/MVInfo.cpp                   |   13 +-
 core/sql/optimizer/MVJoinGraph.cpp              |    5 +-
 core/sql/optimizer/MjvBuilder.cpp               |    2 +-
 core/sql/optimizer/MultiJoin.cpp                |    2 +-
 core/sql/optimizer/MvRefreshBuilder.cpp         |    4 +-
 core/sql/optimizer/NAClusterInfo.cpp            |    2 +-
 core/sql/optimizer/NAFileSet.cpp                |    8 -
 core/sql/optimizer/NAFileSet.h                  |    4 -
 core/sql/optimizer/NARoutine.cpp                |   67 +-
 core/sql/optimizer/NATable.cpp                  | 4362 +++++++++---------
 core/sql/optimizer/NATable.h                    |    9 +-
 core/sql/optimizer/NodeMap.cpp                  |    2 +-
 core/sql/optimizer/NormRelExpr.cpp              |    8 +-
 core/sql/optimizer/NormWA.cpp                   |    4 +-
 core/sql/optimizer/NormWA.h                     |    8 +
 core/sql/optimizer/OptItemExpr.cpp              |    2 +-
 core/sql/optimizer/OptLogRelExpr.cpp            |    2 +-
 core/sql/optimizer/OptRange.cpp                 |    4 +-
 core/sql/optimizer/QRDescGenerator.cpp          |    2 +-
 core/sql/optimizer/QRDescGenerator.h            |    5 +-
 core/sql/optimizer/RETDesc.cpp                  |   10 +-
 core/sql/optimizer/Refresh.cpp                  |    2 +-
 core/sql/optimizer/RelExeUtil.h                 |    5 +-
 core/sql/optimizer/RelExpr.cpp                  |   34 +-
 core/sql/optimizer/RelMisc.h                    |    3 +-
 core/sql/optimizer/RelPackedRows.cpp            |    2 +-
 core/sql/optimizer/RelRoutine.cpp               |    2 +-
 core/sql/optimizer/RelScan.h                    |    7 +-
 core/sql/optimizer/Rule.cpp                     |    4 +-
 core/sql/optimizer/ScanOptimizer.cpp            |    4 +-
 core/sql/optimizer/SchemaDB.cpp                 |    2 +-
 core/sql/optimizer/SearchKey.cpp                |    6 +-
 core/sql/optimizer/Stats.cpp                    |    3 +-
 core/sql/optimizer/Stats.h                      |   12 +-
 core/sql/optimizer/TableNameMap.h               |    3 +-
 core/sql/optimizer/TransRule.cpp                |    2 +-
 core/sql/optimizer/VEGTable.cpp                 |    6 +-
 core/sql/optimizer/ValueDesc.cpp                |    2 +-
 core/sql/optimizer/memo.cpp                     |    2 +-
 core/sql/parser/ElemDDLHbaseOptions.h           |    3 +-
 core/sql/parser/SqlParserAux.cpp                |   27 +-
 core/sql/parser/SqlParserAux.h                  |    4 -
 core/sql/parser/StmtDDLCreate.cpp               |    6 +-
 core/sql/parser/sqlparser.y                     |  137 +-
 core/sql/qmscommon/QRLogger.cpp                 |    6 +
 core/sql/qmscommon/Range.cpp                    |    3 +-
 core/sql/qmscommon/Range.h                      |    3 +-
 core/sql/regress/compGeneral/DIFF042.KNOWN      |   36 +-
 core/sql/regress/compGeneral/EXPECTED001.SB     |    2 +-
 core/sql/regress/privs1/EXPECTED120             | 1222 +++++
 core/sql/regress/privs1/EXPECTED137             |  216 +-
 core/sql/regress/privs1/TEST120                 |  379 ++
 core/sql/regress/privs1/TEST137                 |   53 +-
 core/sql/regress/seabase/EXPECTED022            |    2 +-
 core/sql/regress/tools/regress-filter-linux     |    2 +-
 core/sql/runtimestats/ssmpipc.cpp               |    5 +-
 core/sql/sort/Qsort.h                           |    5 +-
 core/sql/sort/Record.cpp                        |   14 +-
 core/sql/sort/Record.h                          |    8 +
 core/sql/sort/SortTopN.cpp                      |  318 ++
 core/sql/sort/SortTopN.h                        |   89 +
 core/sql/sort/SortUtil.cpp                      |   78 +-
 core/sql/sort/SortUtil.h                        |    2 +-
 core/sql/sort/SortUtilCfg.cpp                   |   43 +-
 core/sql/sort/SortUtilCfg.h                     |   11 +-
 core/sql/sqlcomp/CmpDescribe.cpp                |    4 +-
 core/sql/sqlcomp/CmpSeabaseDDLcommon.cpp        |   31 +-
 core/sql/sqlcomp/CmpSeabaseDDLindex.cpp         |    8 +-
 core/sql/sqlcomp/CmpSeabaseDDLrepos.cpp         |    4 +-
 core/sql/sqlcomp/CmpSeabaseDDLtable.cpp         |   63 +-
 core/sql/sqlcomp/CmpSeabaseDDLview.cpp          |    4 +-
 core/sql/sqlcomp/DefaultConstants.h             |    7 +-
 core/sql/sqlcomp/PrivMgrCommands.cpp            |  194 +-
 core/sql/sqlcomp/PrivMgrCommands.h              |   22 +-
 core/sql/sqlcomp/PrivMgrComponentPrivileges.cpp |   76 +-
 core/sql/sqlcomp/PrivMgrDesc.h                  |   90 +-
 core/sql/sqlcomp/PrivMgrPrivileges.cpp          |  602 +--
 core/sql/sqlcomp/PrivMgrPrivileges.h            |   38 +-
 core/sql/sqlcomp/PrivMgrRoles.cpp               |   22 +-
 core/sql/sqlcomp/QCache.cpp                     |   21 +-
 core/sql/sqlcomp/QCache.h                       |    1 +
 core/sql/sqlcomp/nadefaults.cpp                 |   18 +-
 core/sql/sqlcomp/parser.cpp                     |    5 +-
 core/sql/sqlmsg/GetErrorMessage.cpp             |    2 +-
 core/sql/sqlmxevents/logmxevent_traf.cpp        |    2 +-
 .../java/org/trafodion/sql/HBaseClient.java     |   13 +-
 core/sql/udrserv/spinfo.cpp                     |    3 +-
 core/sql/ustat/hs_cli.cpp                       |  105 +-
 core/sql/ustat/hs_cli.h                         |    4 +
 core/sql/ustat/hs_globals.cpp                   |   28 +-
 core/sql/ustat/hs_globals.h                     |   14 +
 core/sql/ustat/hs_la.cpp                        |    3 +
 core/sql/ustat/hs_log.h                         |    2 +
 core/sql/ustat/hs_parser.cpp                    |   11 +-
 core/sql/ustat/hs_update.cpp                    |    6 +
 .../org/trafodion/jdbc_test/TestForeignKey.java |  224 +
 .../src/asciidoc/_chapters/binder_msgs.adoc     |  102 +-
 .../src/asciidoc/_chapters/ddl_msgs.adoc        |  143 +
 docs/messages_guide/src/asciidoc/index.adoc     |    1 +
 .../src/asciidoc/_chapters/sql_statements.adoc  |   10 +-
 install/installer/traf_config_setup             |    5 -
 install/installer/traf_secure_setup             |   25 +-
 install/installer/traf_sqconfig                 |    5 +-
 install/installer/trafodion_install             |   13 +
 .../Install/win64_installer/installer.iss       |   53 +-
 win-odbc64/odbcclient/Drvr35Res/Drvr35Res.rc    |    8 +-
 .../odbcclient/TranslationDll/TranslationDll.rc |    8 +-
 win-odbc64/odbcclient/build_os.bat              |   10 +-
 win-odbc64/odbcclient/drvr35/TCPIPV4/TCPIPV4.RC |    8 +-
 win-odbc64/odbcclient/drvr35/TCPIPV6/TCPIPV6.RC |    8 +-
 win-odbc64/odbcclient/drvr35/cdatasource.cpp    |    2 +-
 win-odbc64/odbcclient/drvr35/drvr35.rc          |    8 +-
 win-odbc64/odbcclient/drvr35adm/drvr35adm.h     |    2 +-
 win-odbc64/odbcclient/drvr35adm/drvr35adm.rc    |    8 +-
 215 files changed, 7202 insertions(+), 7123 deletions(-)
----------------------------------------------------------------------



[5/9] incubator-trafodion git commit: Documenation update for DCS and REST server Minor fixes in scripts

Posted by su...@apache.org.
Documenation update for DCS and REST server
Minor fixes in scripts


Project: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/commit/449f48ae
Tree: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/tree/449f48ae
Diff: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/diff/449f48ae

Branch: refs/heads/master
Commit: 449f48ae3935d87f1523af74613dff683e55be09
Parents: d457ac0
Author: Anuradha Hegde <an...@esgyn.com>
Authored: Mon Oct 24 18:15:55 2016 +0000
Committer: Anuradha Hegde <an...@esgyn.com>
Committed: Mon Oct 24 18:15:55 2016 +0000

----------------------------------------------------------------------
 core/rest/src/main/asciidoc/_chapters/apis.adoc | 60 +++++++++++++++-----
 core/rest/src/main/asciidoc/index.adoc          |  4 +-
 core/sqf/sql/scripts/cleanlogs                  |  7 +++
 core/sqf/sql/scripts/install_traf_components    |  3 +-
 .../main/asciidoc/_chapters/configuration.adoc  | 17 +++---
 .../asciidoc/_chapters/troubleshooting.adoc     | 18 +++++-
 dcs/src/main/resources/dcs-default.xml          |  2 +-
 .../src/asciidoc/_chapters/requirements.adoc    |  2 +-
 8 files changed, 83 insertions(+), 30 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/449f48ae/core/rest/src/main/asciidoc/_chapters/apis.adoc
----------------------------------------------------------------------
diff --git a/core/rest/src/main/asciidoc/_chapters/apis.adoc b/core/rest/src/main/asciidoc/_chapters/apis.adoc
index d561b85..21980b4 100644
--- a/core/rest/src/main/asciidoc/_chapters/apis.adoc
+++ b/core/rest/src/main/asciidoc/_chapters/apis.adoc
@@ -157,11 +157,30 @@ Response Body:
    }
 }
 ----
-
-== Example Usage
-There are many ways/languages to use the REST API's. The following examples use the curl command line interface to do the REST GET calls.
-
-In this example the user wishes to know the status of all Trafodion resources.
+== Supported REST APIs
+There are many ways/languages to use the REST API's. The following examples use the curl command line interface to do the REST calls.
+
+[cols="15%,10%,40%,35%"]
+|===
+| *EndPoint*          | *HTTP Verb*  | *Description*                 | *Example*
+| /servers           | GET          | Displays the status of various Trafodion components |<<server-status,Status of Trafodion components>>
+| /dtm        | GET          | Displays the status of Distributed Transaction Manager(DTM) |<<dtm-status, Status of DTM>>
+| /rms        | GET          | Displays the status of Runtime Management Statistics(RMS) |<<rms-status, Status of RMS>>
+| /dcs        | GET          | Displays the status of Database Connectivity Servers(DCS) |<<dcs-status,Status of DCS>>
+| /dcs/summary        | GET          | Displays the configuration information of Database Connectivity Servers(DCS) |<<summary-status, DCS configuration information>>
+| /dcs/connections        | GET          | Displays the client/server information of Database Connectivity Servers(DCS) from zookeeper |<<dcs-connection-status, Client-Server information>>
+| /nodes        | GET          | Displays the status of Trafodion nodes |<<node-status,Status of nodes>>
+| /pstack       | GET          | Displays the call stack for a collection of Trafodion processes |<<pstack-process, Various call stack information>>
+| /pstack/program/{program}   | GET          | Displays call stack for a specific Trafodion process |<<pstack-per-process, Call stack of a specific process>>
+| /jstack/program/{program}   | GET          | Displays call stack for a specific java process |<<jstack-process, Call stack of java process>>
+| /transactions     | GET          | Displays the status of Distributed Transaction manager(DTM) |<<dtm-transactions,Status of transactions >>
+| /transactions/stats    | GET          | Displays the status of Distributed Transaction manager(DTM) service statistics |<<dtm-service-stats, Service statistics of transactions>>
+|===
+
+<<<
+[[server-status]]
+=== Displays the status of various components
+In this example the user wishes to know the status of all Trafodion components.
 This a jsonized version of the _sqcheck -c all_ command.
 
 .Http command
@@ -201,7 +220,8 @@ curl  -X GET -H "Accept: application/json" http://{hostname}:4200/v1/servers/
   ]
 }
 ----
-
+[[dtm-status]]
+=== Displays the status of Distributed Transaction Manager(DTM)
 In this example the user wishes to know the status of Trafodion DTM.
 This a jsonized version of the _sqcheck -c dtm_ command.
 
@@ -212,7 +232,7 @@ curl  -X GET -H "Accept: application/json" http://{hostname}:4200/v1/servers/dtm
 
 .Response
 ----
-{
+
   "STATE":"UP",
   "SUBSTATE":"OPERATIONAL",
   "PROCESSES":
@@ -226,7 +246,8 @@ curl  -X GET -H "Accept: application/json" http://{hostname}:4200/v1/servers/dtm
   ]
 }
 ----
-
+[[rms-status]]
+=== Status of RMS
 In this example the user wishes to know the status of Trafodion RMS. 
 This a jsonized version of the _sqcheck -c rms_ command.
 
@@ -252,7 +273,8 @@ curl  -X GET -H "Accept: application/json" http://{hostname}:4200/v1/servers/rms
   ]
 }
 ----
-
+[[dcs-status]]
+=== Status of Database Connectivity Service (DCS)
 In this example the user wishes to know the status of Trafodion DCS components. 
 This a jsonized version of the _sqcheck -c dcs_ command.
 
@@ -283,7 +305,8 @@ curl  -X GET -H "Accept: application/json" http://{hostname}:4200/v1/servers/dcs
   ]
 }
 ----
-
+[[summary-status]]
+=== Summary of DCS Configuration
 In this example the user wishes to see a summary of the Trafodion DCS configuration.
 The server retrieves this information by executing dcscheck script.
 
@@ -303,6 +326,8 @@ curl  -X GET -H "Accept: application/json" http://{hostname}:4200/v1/servers/dcs
   "Active DcsMaster": "\"node1\", pid 8526"
 }
 ----
+[[dcs-connection-status]]
+=== Displays the client/server information 
 
 In this example the user wishes to see the Trafodion DCS server/client connection information.
 The server retrieves this information from ZooKeeper.
@@ -349,7 +374,8 @@ curl  -X GET -H "Accept: application/json" http://{hostname}:4200/v1/servers/dcs
   }
 ]
 ----
-
+[[node-status]]
+=== Displays status of Trafodion nodes
 In this example the user wishes to know the status of Trafodion nodes. 
 This is a jsonized version of the _sqnodestatus_ command.
 
@@ -379,7 +405,8 @@ curl  -X GET -H "Accept: application/json" http://{hostname}:4200/v1/servers/nod
   }
 ]
 ----
-
+[[pstack-process]]
+=== Gets the collection of stack for various Trafodion process
 In this example the user wishes to see the call stack for a collection of Trafodion processes. 
 This is a jsonized version of the _sqpstack_ command. Newlines are added to all lines
 in the response so clients can recognize each end of line.
@@ -545,6 +572,8 @@ curl  -X GET -H "Accept: application/json" http://{hostname}:4200/v1/servers/pst
   #3  0x000000000041c48a in CCluster::exchangeNodeData() ()\n
   #4  0x0000000000409c9c in main ()\n"}]
 ----
+[[pstack-per-process]]
+=== Displays call stack information for a specific process
 
 In this example the user wishes to see the call stack for Trafodion process id 20642. 
 This is a jsonized version of the _sqpstack [<program>]_ command. Newlines are added to all lines
@@ -628,6 +657,8 @@ curl  -X GET -H "Accept: application/json" http://{hostname}:4200/v1/servers/pst
   }
 ]
 ----
+[[jstack-process]]
+=== Displays the call stack for a specific java process
 
 In this example the user wishes to see the call Java stack for Trafodion process id 20642. 
 This is a jsonized version of the _jstack [<program>]_ command. Newlines are added to all lines
@@ -765,7 +796,8 @@ curl  -X GET -H "Accept: application/json" http://{hostname}:4200/v1/servers/jst
   }
 ]
 ----
-
+[[dtm-transactions]]
+=== Displays status of transactions
 In this example the user wishes to know the status of Trafodion DTM service. 
 This is a jsonized version of the _dtmci status tm_ command.
 
@@ -795,6 +827,8 @@ curl  -X GET -H "Accept: application/json" http://{hostname}:4200/v1/transaction
   }
 ]
 ----
+[[dtm-service-stats]]
+=== Displays the transaction service statistics
 
 In this example the user wishes to know the Trafodion DTM service statistics. 
 This is a jsonized version of the _dtmci stats_ command.

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/449f48ae/core/rest/src/main/asciidoc/index.adoc
----------------------------------------------------------------------
diff --git a/core/rest/src/main/asciidoc/index.adoc b/core/rest/src/main/asciidoc/index.adoc
index 166cbc4..6670502 100644
--- a/core/rest/src/main/asciidoc/index.adoc
+++ b/core/rest/src/main/asciidoc/index.adoc
@@ -68,11 +68,11 @@ under the License.
 
 include::_chapters/preface.adoc[]
 include::_chapters/getting_started.adoc[]
-include::_chapters/configuration.adoc[]
 include::_chapters/architecture.adoc[]
+include::_chapters/configuration.adoc[]
 include::_chapters/apis.adoc[]
 include::_chapters/troubleshooting.adoc[]
 
 = Appendix
 
-include::_chapters/appendix_contributing_to_documentation.adoc[]
\ No newline at end of file
+include::_chapters/appendix_contributing_to_documentation.adoc[]

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/449f48ae/core/sqf/sql/scripts/cleanlogs
----------------------------------------------------------------------
diff --git a/core/sqf/sql/scripts/cleanlogs b/core/sqf/sql/scripts/cleanlogs
index 2bbc0ec..76ac55e 100755
--- a/core/sqf/sql/scripts/cleanlogs
+++ b/core/sqf/sql/scripts/cleanlogs
@@ -44,6 +44,9 @@ function core_logs() {
    $L_PDSH "rm -f ${MY_SQROOT}/logs/*.log"
    $L_PDSH "rm -f ${MY_SQROOT}/logs/*log.[0-9]*"
    $L_PDSH "rm -f ${MY_SQROOT}/sql/scripts/stdout_*"
+ else
+   rm -f ${MY_SQROOT}/logs/*
+   rm -f ${MY_SQROOT}/sql/scripts/stdout_*
  fi
 }
 
@@ -53,6 +56,8 @@ function dcs_logs() {
    $L_PDSH "rm -f ${DCS_INSTALL_DIR}/logs/*.log.[0-9]*"
    $L_PDSH "rm -f ${DCS_INSTALL_DIR}/logs/*.out"
    $L_PDSH "rm -f ${DCS_INSTALL_DIR}/logs/*.out.[0-9]*"
+ else
+   rm -f ${DCS_INSTALL_DIR}/logs/*
  fi
 }
 
@@ -62,6 +67,8 @@ function rest_logs() {
    $L_PDSH "rm -f ${REST_INSTALL_DIR}/logs/*.log.[0-9]*"
    $L_PDSH "rm -f ${REST_INSTALL_DIR}/logs/*.out"
    $L_PDSH "rm -f ${REST_INSTALL_DIR}/logs/*.out.[0-9]*"
+ else
+   rm -f ${REST_INSTALL_DIR}/logs/*
  fi
 }
 

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/449f48ae/core/sqf/sql/scripts/install_traf_components
----------------------------------------------------------------------
diff --git a/core/sqf/sql/scripts/install_traf_components b/core/sqf/sql/scripts/install_traf_components
index 709ff99..cd8e8af 100755
--- a/core/sqf/sql/scripts/install_traf_components
+++ b/core/sqf/sql/scripts/install_traf_components
@@ -334,7 +334,8 @@ elif [[ \$1 == "t2" ]]
 then
   export LD_PRELOAD=\$JAVA_HOME/jre/lib/amd64/libjsig.so:\$MY_SQROOT/export/lib\$SQ_MBTYPE/libseabasesig.so
   ./phoenix_test.py --targettype=TR --javahome=\$JAVA_HOME \\
-     --jdbccp=\$MY_SQROOT/export/lib/jdbcT2.jar --jdbctype=T2
+     --jdbccp=\$MY_SQROOT/export/lib/jdbcT2.jar --jdbctype=T2 \\
+     --nomvntest --tests="AlterTableTest,ArithmeticQueryTest,BinaryRowKeyTest,CoalesceFunctionTest,CompareDecimalToLongTest,CustomEntityDataTest,DeleteRangeTest,DescColumnSortOrderTest,DistinctCountTest,ExtendedQueryExecTest,FunkyNamesTest,IsNullTest,OrderByTest,QueryExecTest,SaltedTableTest,SaltedTableUpsertSelectTest,SaltedTableVarLengthRowKeyTest,SkipScanQueryTest,UpsertSelectAutoCommitTest,UpsertSelectTest,UpsertValuesTest],AutoCommitTest,CreateTableTest,ExecuteStatementsTest,GroupByCaseTest,IndexTest,KeyOnlyTest,MultiCfQueryExecTest,ProductMetricsTest,QueryExecWithoutSCNTest,QueryPlanTest,ReadIsolationLevelTest,ServerExceptionTest,StatementHintsTest,StddevTest,ToCharFunctionTest,ToNumberFunctionTest,TopNTest,UpsertBigValuesTest,VariableLengthPKTest,SaltedTableUpsertSelectTest"
 else
   echo "Usage: swphoenix (t2|t4)"
   exit 1

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/449f48ae/dcs/src/main/asciidoc/_chapters/configuration.adoc
----------------------------------------------------------------------
diff --git a/dcs/src/main/asciidoc/_chapters/configuration.adoc b/dcs/src/main/asciidoc/_chapters/configuration.adoc
index 0eed4a5..bdb8294 100644
--- a/dcs/src/main/asciidoc/_chapters/configuration.adoc
+++ b/dcs/src/main/asciidoc/_chapters/configuration.adoc
@@ -306,23 +306,20 @@ include::../../../../target/asciidoc/dcs-default.adoc[]
 Set DCS environment variables in this file. Examples include options to pass the JVM on start of
 an DCS daemon such as heap size and garbage collector configs. You can also set configurations for DCS configuration, log directories,
 niceness, ssh options, where to locate process pid files, etc. Open the file at _conf/dcs-env.sh_ and peruse its content.
-Each option is fairly well documented.  Add your own environment variables here if you want them read by DCS daemons on startup.
-  
-Changes here will require a cluster restart for DCS to notice the change.
+Each option is fairly well documented.  Add your own environment variables here if you want them read by DCS daemons on startup. Changes done to this file requires restart of DCS.
  
 === _log4j.properties_
 
-Edit this file to change rate at which DCS files are rolled and to change the level at which DCS logs messages.
-   
-Changes here will require a cluster restart for DCS to notice the change though log levels can be changed for 
-particular daemons via the DCS UI.
+Edit this file to change rate at which DCS files are rolled over and, to change the level at which DCS logs messages. Changes done to this file will require restart of DCS.
 
 === _master_ 
-A plain-text file which lists host on which the primary master process should be started. Only one host allowed to be the 
-primary master
+A plain-text file which lists hostname or host IP address  on which the primary master process should be started. Only one host is allowed to be the primary master
 
 === _backup-masters_ 
 A plain-text file which lists hosts on which the backup master process should be started. Only one host per line is allowed
+
+=== _servers_
+A plain-text file which lists hosts on which the DcsServer server process should be started. Only one host per line or the host name followed by the count or number of master executor servers. All servers listed in this file will be started and stopped when DCS start or stop is run.
  
 == Example Configurations 
 
@@ -468,4 +465,4 @@ There is no default value. You must ensure the value contains the correct interf
 === `dcs.master.floating.ip.external.ip.address`
 There is no default value. It is important that you set this to the dotted IP address appropriate for your network.
           
-To change this configuration, edit _dcs-site.xml_, copy the changed file to all nodes in the cluster and restart dcs.
\ No newline at end of file
+To change this configuration, edit _dcs-site.xml_, copy the changed file to all nodes in the cluster and restart dcs.

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/449f48ae/dcs/src/main/asciidoc/_chapters/troubleshooting.adoc
----------------------------------------------------------------------
diff --git a/dcs/src/main/asciidoc/_chapters/troubleshooting.adoc b/dcs/src/main/asciidoc/_chapters/troubleshooting.adoc
index 6a74484..9f94853 100644
--- a/dcs/src/main/asciidoc/_chapters/troubleshooting.adoc
+++ b/dcs/src/main/asciidoc/_chapters/troubleshooting.adoc
@@ -58,7 +58,7 @@ The DcsMaster web UI allows navigation to each DcsServer's web UI.
               
 [[trouble-tools-builtin-webserver]]
 ==== DcsServer Web Interface
-DcsServers starts a web-interface on port 24420 by default.
+DcsServers starts a web-interface on port 24410 by default.
               
 The DcsServer web UI lists its server metrics (build info, zookeeper quorum, usedHeap, maxHeap, etc.).
 
@@ -151,4 +151,18 @@ See the link:http://wiki.apache.org/hadoop/ZooKeeper/Troubleshooting[ZooKeeper O
 It has suggestions and tools for checking disk and networking performance; i.e. the operating environment your ZooKeeper 
 and DCS are running in.
 
-Additionally, the utility <<trouble-tools-builtin-zkcli,zkcli>> may help investigate ZooKeeper issues.
\ No newline at end of file
+Additionally, the utility <<trouble-tools-builtin-zkcli,zkcli>> may help investigate ZooKeeper issues.
+
+[[trouble-ha]]
+== High Availability
+On Linux cluster, if you run into issues please check dcs log files located in $DCS_INSTALL_DIR/logs folder. 
+
+Validate that the interace is set up correctly. This command should only show one additional interface for HA configuration
+----
+pdsh $MY_NODES "/sbin/ip addr show |grep 23400"
+----
+
+Validate to get the list of  all the DcsMaster that are configured and started in the cluster
+----
+pdsh $MY_NODES $JAVA_HOME/bin/jps |grep -i dcsmaster
+----

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/449f48ae/dcs/src/main/resources/dcs-default.xml
----------------------------------------------------------------------
diff --git a/dcs/src/main/resources/dcs-default.xml b/dcs/src/main/resources/dcs-default.xml
index cdff47f..c8e4590 100644
--- a/dcs/src/main/resources/dcs-default.xml
+++ b/dcs/src/main/resources/dcs-default.xml
@@ -124,7 +124,7 @@
   </property>         
   <property>
     <name>dcs.server.info.port</name>
-    <value>40030</value>
+    <value>24410</value>
     <description>The port for the DcsServer web UI
     Set to -1 if you do not want the server UI to run.
     </description>

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/449f48ae/docs/provisioning_guide/src/asciidoc/_chapters/requirements.adoc
----------------------------------------------------------------------
diff --git a/docs/provisioning_guide/src/asciidoc/_chapters/requirements.adoc b/docs/provisioning_guide/src/asciidoc/_chapters/requirements.adoc
index 1cfa12b..62ebbf4 100644
--- a/docs/provisioning_guide/src/asciidoc/_chapters/requirements.adoc
+++ b/docs/provisioning_guide/src/asciidoc/_chapters/requirements.adoc
@@ -131,7 +131,7 @@ The following table lists the default ports used by the different {project-name}
 | 4201         | rest-site.xml      | trafodion.rest.https.port       | Yes      | 1     | HTTPS    | {project-name} REST Server (HTTPS).
 | 23400        | dcs-site.xml       | dcs.master.port                 | Yes      | _n_   | binary   | Start of {project-name} DCS port range. (37800 for {project-name} 1.1)
 | 24400        | dcs-site.xml       | dcs.master.info.port            | Yes      | 1     | HTTP     | DCS master web GUI. (40010 for {project-name} 1.1)
-| 24410        | dcs-site.xml       | dcs.server.info.port            | Yes      | _n_   | HTTP     | Start of range for DCS server web GUIs. (40020 for {project-name} 1.1)
+| 24410        | dcs-site.xml       | dcs.server.info.port            | Yes      | _n_   | HTTP     | Start of range for DCS server web GUIs. (40030 for {project-name} 1.1)
 | 50030        | mapred-site.xml    | mapred.job.tracker.http.address | No       | 1     | HTTP     | MapReduce Job Tracker web GUI.
 | 50070        | hdfs-site.xml      | dfs.http.address                | No       | 1     | HTTP     | HDFS Name Node web GUI.
 | 50075        | hdfs-site.xml      | dfs.datanode.http.address       | No       | 1     | HTTP     | HDFS Data Node web GUI.


[6/9] incubator-trafodion git commit: Merge branch 'master' of github.com:apache/incubator-trafodion into wrkbrnch

Posted by su...@apache.org.
Merge branch 'master' of github.com:apache/incubator-trafodion into wrkbrnch


Project: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/commit/f5179a18
Tree: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/tree/f5179a18
Diff: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/diff/f5179a18

Branch: refs/heads/master
Commit: f5179a182b2029879a3110c2b71b7b5093c5d2d9
Parents: 449f48a c1be763
Author: Anuradha Hegde <an...@esgyn.com>
Authored: Mon Oct 24 18:33:44 2016 +0000
Committer: Anuradha Hegde <an...@esgyn.com>
Committed: Mon Oct 24 18:33:44 2016 +0000

----------------------------------------------------------------------
 core/sqf/conf/log4cxx.trafodion.tm.config       |   2 +-
 core/sqf/sql/scripts/install_local_hadoop       |   2 +
 .../transactional/TransactionManager.java       | 607 ++++++++++---------
 .../client/transactional/TransactionState.java  |  79 ++-
 .../java/org/trafodion/dtm/TmAuditTlog.java     |  11 +-
 core/sqf/src/tm/tmmsg.h                         |  21 +-
 core/sqf/src/tm/tmtx.cpp                        |   4 +-
 core/sql/bin/SqlciErrors.txt                    |   2 +-
 core/sql/cli/CliExtern.cpp                      |   1 +
 core/sql/common/ComDistribution.cpp             |   3 +-
 core/sql/common/ComSecurityKey.cpp              |   4 +-
 core/sql/common/ComSecurityKey.h                |   2 +-
 core/sql/common/ComSmallDefs.h                  |   2 +
 core/sql/optimizer/NATable.cpp                  | 230 +++----
 core/sql/optimizer/NATable.h                    | 175 +++---
 core/sql/optimizer/opt.cpp                      |  21 +-
 core/sql/optimizer/opt.h                        |  16 +-
 core/sql/qmscommon/QRLogger.cpp                 |   3 +
 core/sql/regress/compGeneral/EXPECTED011.SB     |   8 +-
 core/sql/regress/compGeneral/EXPECTED015.SB     | 292 ++++-----
 core/sql/regress/compGeneral/EXPECTED042        |  83 ++-
 core/sql/regress/core/EXPECTED005.SB            |   4 +-
 core/sql/regress/hive/EXPECTED018               | 218 ++++---
 core/sql/regress/seabase/EXPECTED011            |  20 +-
 core/sql/regress/seabase/EXPECTED013            | 144 ++---
 core/sql/regress/udr/TEST103                    |   2 +-
 core/sql/runtimestats/SqlStats.cpp              |   5 +-
 core/sql/runtimestats/sscpipc.cpp               |   7 +-
 core/sql/runtimestats/ssmpipc.cpp               |   3 +
 core/sql/sqlcomp/CmpMain.cpp                    |   9 +
 core/sql/sqlcomp/CmpMain.h                      |   2 +
 core/sql/sqlcomp/CmpSeabaseDDL.h                |   2 +
 core/sql/sqlcomp/CmpSeabaseDDLtable.cpp         |   9 +
 core/sql/sqlcomp/DefaultConstants.h             |   7 -
 core/sql/sqlcomp/QCache.cpp                     |  24 +-
 core/sql/sqlcomp/nadefaults.cpp                 |  18 -
 core/sql/sqludr/SqlUdrPredefLogReader.cpp       | 482 +++++++++++++--
 core/sql/ustat/hs_const.h                       |   1 +
 core/sql/ustat/hs_globals.cpp                   |   6 +
 core/sql/ustat/hs_read.cpp                      |  44 --
 core/sql/ustat/hs_read.h                        |  32 -
 core/sql/ustat/hs_update.cpp                    |  19 +-
 .../asciidoc/_chapters/update_stats_msgs.adoc   |  15 +
 install/installer/addNode_step1                 |  89 ++-
 install/installer/addNode_step2                 | 119 ++--
 install/installer/deleteNode                    | 244 --------
 win-odbc64/odbcclient/drvr35/cconnect.cpp       |  17 +-
 47 files changed, 1695 insertions(+), 1415 deletions(-)
----------------------------------------------------------------------



[7/9] incubator-trafodion git commit: Updates to documentation

Posted by su...@apache.org.
Updates to documentation


Project: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/commit/f7f1ee95
Tree: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/tree/f7f1ee95
Diff: http://git-wip-us.apache.org/repos/asf/incubator-trafodion/diff/f7f1ee95

Branch: refs/heads/master
Commit: f7f1ee957ae07bd2cfbd38d6984876bbdedd6fed
Parents: f5179a1
Author: Anuradha Hegde <an...@esgyn.com>
Authored: Tue Oct 25 20:16:48 2016 +0000
Committer: Anuradha Hegde <an...@esgyn.com>
Committed: Tue Oct 25 20:16:48 2016 +0000

----------------------------------------------------------------------
 core/rest/src/main/asciidoc/_chapters/apis.adoc | 124 +------------------
 .../main/asciidoc/_chapters/architecture.adoc   |   6 +-
 .../main/asciidoc/_chapters/configuration.adoc  |  26 ++--
 .../asciidoc/_chapters/troubleshooting.adoc     |   6 +-
 .../main/java/org/trafodion/rest/Constants.java |   2 +-
 .../asciidoc/_chapters/troubleshooting.adoc     |   2 +-
 6 files changed, 26 insertions(+), 140 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/f7f1ee95/core/rest/src/main/asciidoc/_chapters/apis.adoc
----------------------------------------------------------------------
diff --git a/core/rest/src/main/asciidoc/_chapters/apis.adoc b/core/rest/src/main/asciidoc/_chapters/apis.adoc
index 21980b4..ceffd32 100644
--- a/core/rest/src/main/asciidoc/_chapters/apis.adoc
+++ b/core/rest/src/main/asciidoc/_chapters/apis.adoc
@@ -31,133 +31,19 @@
 :icons: font
 :experimental:
 
-The terms "representational state transfer" and "REST" were introduced in 2000 in the doctoral dissertation of 
-Roy Fielding, one of the principal authors of the Hypertext Transfer Protocol (HTTP) specification. In a nutshell
-
-A GET to an resource requests a copy of the information. 
-
-A PUT to an resource replaces the resource.  
-
-POST adds resources. 
-
-DELETE eliminates resources. 
-  
 [[rest]]
-== Resource Identifiers
+== REST APIs
+
 The URIs for the REST-based web services have the following syntax:
 
   http://{hostname:port}/{version}/{resourcepath}
 
 The elements in this syntax are as follows:
 
-  {hostname} - The http address of the service to get information about. 
-                                 Currently supported are the Trafodion DTM, RMS and DCS components. 
-  {version} - The version of the APIs. In this release, the version is v1.
-  {resourcepath} - A path that defines a singleton resource or a collection of resources. 
+ {hostname} - The http address of the service to get information about.
+ {version} - The version of the APIs. In this release, the version is v1.
+ {resourcepath} - A path that defines a singleton resource or a collection of resources. 
   
-== HTTP Requests
-To invoke a REST API, your application calls an HTTP operation on the URI associated with a resource. 
-
-.Headers 
-This release ignores Accept and Accept-Encoding headers.
-
-== HTTP Responses
-The following sections describe the syntax of HTTP Responses.
-
-.Compression
-This release does not support compression.
-
-.Response Formats
-This release of the REST APIs supports responses in JSON format only.
-
-.Response Examples
-
-.JSON response with single resource
-
-HTTP Request: 
-----
-GET http://{hostname:4200}/v1/servers
-----
-
-Response Status Line: 
-----
-HTTP/1.1 200 OK
-----
-
-Response Header:
-----
- HTTP/1.1 200 OK
- Cache-Control: no-cache
- Content-Type: application/json
- Transfer-Encoding: chunked
-----
-
-Response Body:
-----
-{
-  "STATE":"UP",
-  "SUBSTATE":"OPERATIONAL",
-  "PROCESSES":
-  [
-    {
-      "PROCESS":"DTM",
-      "CONFIGURED":2,
-      "ACTUAL":2,
-      "DOWN":""},
-    {
-      "PROCESS":"RMS",
-      "CONFIGURED":4,
-      "ACTUAL":4,
-      "DOWN":""
-    },
-    {
-      "PROCESS":"DCSMASTER",
-      "CONFIGURED":2,
-      "ACTUAL":2,
-      "DOWN":""
-    },
-    {
-      "PROCESS":"MXOSRVR",
-      "CONFIGURED":4,
-      "ACTUAL":4,
-      "DOWN":""
-    }
-  ]
-}
-----
-
-.JSON response with Error response
-
-Here we request information about DCS client connections when DCS is stopped.
-
-HTTP Request: 
-----
-GET http://{hostname:4200}/v1/servers/dcs/connections
-----
-
-Response Status Line: 
-----
-HTTP/1.1 404 Not Found
-----
-
-Response Header:
-----
-  HTTP/1.1 404 Not Found
-  Content-Type: application/json
-  Transfer-Encoding: chunked
-----
-
-Response Body:
-----
-{
-   "RemoteException" : {
-      "javaClassName" : "org.trafodion.rest.NotFoundException",
-      "exception" : "NotFoundException",
-      "message" : "DCS connection resources not found"
-   }
-}
-----
-== Supported REST APIs
 There are many ways/languages to use the REST API's. The following examples use the curl command line interface to do the REST calls.
 
 [cols="15%,10%,40%,35%"]

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/f7f1ee95/core/rest/src/main/asciidoc/_chapters/architecture.adoc
----------------------------------------------------------------------
diff --git a/core/rest/src/main/asciidoc/_chapters/architecture.adoc b/core/rest/src/main/asciidoc/_chapters/architecture.adoc
index 0272cb3..7891223 100644
--- a/core/rest/src/main/asciidoc/_chapters/architecture.adoc
+++ b/core/rest/src/main/asciidoc/_chapters/architecture.adoc
@@ -64,7 +64,7 @@ HTTP and HTTPS requests. It's a 100% java implementation.
 
 [[server-startup]]
 === Startup Behavior 
-The server is started/stopped via the scripts found in the _/bin_ directory. During startup it opens a connection to ZooKeeper.
+The server is started/stopped via the scripts found in the _$REST_INSTALL_DIR/bin_ directory. During startup it opens a connection to ZooKeeper.
 
 [[server-threads]]
 === Threads
@@ -76,11 +76,11 @@ is configured but this may be changed in the configuration by modifying the _res
          
 [[server-processes-script-manager]]
 ==== ScriptManager
-The script manager thread is responsible for reading and compiling the Python scripts found in _/bin/scripts_ directory. It  
+The script manager thread is responsible for reading and compiling the Python scripts found in _$REST_INSTALL_DIR/bin/scripts_ directory. It  
 can detect a change in any script found there. If any script changes it will recompile it.
  
 ==== JDBC Type 4
 An embedded driver is available to execute Trafodion SQL queries by connecting to the DCS service.
 
 ==== JDBC Type 2
-An embedded driver is available to execute Trafodion SQL queries.
\ No newline at end of file
+An embedded driver is available to execute Trafodion SQL queries.

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/f7f1ee95/core/rest/src/main/asciidoc/_chapters/configuration.adoc
----------------------------------------------------------------------
diff --git a/core/rest/src/main/asciidoc/_chapters/configuration.adoc b/core/rest/src/main/asciidoc/_chapters/configuration.adoc
index 7b99b28..3ad7d3f 100644
--- a/core/rest/src/main/asciidoc/_chapters/configuration.adoc
+++ b/core/rest/src/main/asciidoc/_chapters/configuration.adoc
@@ -37,7 +37,7 @@ a thorough read of this chapter will help with non-standard configurations. Plea
 requirements have been satisfied. Failure to do so will cause you grief debugging strange errors.
 
 Trafodion REST uses the same configuration mechanism as Apache Hadoop.
-All configuration files are located in the _conf/_ directory.
+All configuration files are located in the _$REST_INSTALL_DIR/conf/_ directory.
 
 [TIP]
 ====
@@ -48,7 +48,7 @@ ensure well-formedness of your document after an edit session.
 .Keep Configuration In Sync Across the Cluster
 [WARNING]
 ====
-After you make an edit to any configuration file, make sure you copy the content of the _conf_ directory to all nodes of the cluster.
+After you make an edit to any configuration file, make sure you copy the content of the _$REST_INSTALL_DIR/conf_ directory to all nodes of the cluster.
 The server will not do this for you. Use +rsync+, +scp+, or another secure mechanism for copying the configuration files to your nodes.
 A restart is needed for servers to pick up changes.
 ====
@@ -89,7 +89,7 @@ This `rest.zookeeper.quorum` property defaults to a single ensemble member at `l
 == Configuration Files
          
 === _rest-site.xml_ and _rest-default.xml_
-You add site-specific configuration to the file _conf/rest-site.xml_. For the list of configurable properties, 
+You add site-specific configuration to the file _$REST_INSTALL_DIR/conf/rest-site.xml_. For the list of configurable properties, 
 see <<rest_default_configurations,REST Default Configuration>> below or view the raw _rest-default.xml_ source 
 file in the source code at _src/main/resources_.
 
@@ -108,7 +108,7 @@ include::../../../../target/asciidoc/rest-default.adoc[]
 === _rest-env.sh_
 Set server environment variables in this file. Examples include options to pass the JVM on start of
 the server such as heap size and garbarge collector configs. You can also set configurations for server configuration, log directories,
-niceness, ssh options, where to locate process pid files, etc. Open the file at _conf/rest-env.sh_ and peruse its content.
+niceness, ssh options, where to locate process pid files, etc. Open the file at _$REST_INSTALL_DIR/conf/rest-env.sh_ and peruse its content.
 Each option is fairly well documented.  Add your own environment variables here if you want them read by the server on startup.
   
 Changes here will require a restart for the server to notice the change.
@@ -121,7 +121,7 @@ Changes here will require a restart for the server to notice the change.
 
 [[rest.keystore]]
 === _rest-keystore_  
-This file will only be present if the property _rest.https.password_ has been set in _conf/rest-site.xml_. 
+This file will only be present if the property _rest.https.password_ has been set in _$REST_INSTALL_DIR/conf/rest-site.xml_. 
 Please see <<important.configurations,Important Configurations>> for more detail.
       
 [[important.configurations]]
@@ -133,7 +133,7 @@ The default value is 4200. This is the port the embedded Jetty server binds to
 waiting for client HTTP connections. The value may need to be changed
 if this port number conflicts with other ports in use on your cluster.
            
-To change this configuration, edit _conf/rest-site.xml_, copy the changed file around the cluster and restart.
+To change this configuration, edit _$REST_INSTALL_DIR/conf/rest-site.xml_, copy the changed file around the cluster and restart.
 
 === `rest.https.port`
 The default value is 4201. This is the port the embedded Jetty server binds to
@@ -141,13 +141,13 @@ waiting for client HTTPS connections. The value may need to be changed
 if this port number conflicts with other ports in use on your cluster.
 
 === `rest.ssl.password`
-This property is not present by default in _conf/rest-site.xml_. Typically the Trafodion
+This property is not present by default in _$REST_INSTALL_DIR/conf/rest-site.xml_. Typically the Trafodion
 installer sets this property to an obfuscated password string. If this property is present then the server
 will setup HTTPS in the embedded Jetty server. To create an obfuscated password for this property use
 the following command:
 
 ----
-java -classpath $REST_HOME/lib/jetty-9.2.10.v20150310.jar:$REST_HOME/lib/jetty-util-9.2.10.v20150310.jar org.eclipse.jetty.util.security.Password}
+java -classpath $REST_INSTALL_DIR/lib/jetty-9.2.10.v20150310.jar:$REST_INSTALL_DIR/lib/jetty-util-9.2.10.v20150310.jar org.eclipse.jetty.util.security.Password}
 ----
 
 The output of this command is similar to:
@@ -157,16 +157,16 @@ MD5:{obfuscated password string}
 ----
 
 Copy/paste the entire string including "OBF:" into this property.
-The server will use this property when creating the _/conf/rest-keystore_ directory.
+The server will use this property when creating the _$REST_INSTALL_DIR/conf/rest-keystore_ directory.
            
-To change this configuration, edit _conf/rest-site.xml_, copy the changed file around the cluster and restart.
+To change this configuration, edit _$REST_INSTALL_DIR/conf/rest-site.xml_, copy the changed file around the cluster and restart.
 
 [TIP]
 ====
 To decrypt the obfuscated string in `rest.ssl.password` do the following:
 
 ----
-java -classpath $REST_HOME/lib/jetty-9.2.10.v20150310.jar:$REST_HOME/lib/jetty-util-9.2.10.v20150310.jar org.eclipse.jetty.util.security.Password {obfuscated password string}
+java -classpath $REST_INSTALL_DIR/lib/jetty-9.2.10.v20150310.jar:$REST_INSTALL_DIR/lib/jetty-util-9.2.10.v20150310.jar org.eclipse.jetty.util.security.Password {obfuscated password string}
 ----
 
 The output of this command is similar to:
@@ -179,7 +179,7 @@ CRYPT:{obfuscated password string}
 ====
 
 === `dcs.master.port`
-The default value is 37800. This is the port the embedded JDBC Type 4 driver
+The default value is 23400. This is the port the embedded JDBC Type 4 driver
 uses to connect to Trafodion DCS. 
 
-To change this configuration, edit _conf/rest-site.xml_, copy the changed file around the cluster and restart.
+To change this configuration, edit _$REST_INSTALL_DIR/conf/rest-site.xml_, copy the changed file around the cluster and restart.

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/f7f1ee95/core/rest/src/main/asciidoc/_chapters/troubleshooting.adoc
----------------------------------------------------------------------
diff --git a/core/rest/src/main/asciidoc/_chapters/troubleshooting.adoc b/core/rest/src/main/asciidoc/_chapters/troubleshooting.adoc
index da08821..edc2182 100644
--- a/core/rest/src/main/asciidoc/_chapters/troubleshooting.adoc
+++ b/core/rest/src/main/asciidoc/_chapters/troubleshooting.adoc
@@ -34,8 +34,8 @@
 == Logs
 The key process logs are as follows...(replace <user> with the user that started the service, <instance> for the server instance and <hostname> for the machine name)
  
-* $REST_HOME/logs/rest-<user>-<instance>-rest-<hostname>.log
-* $REST_HOME/logs/rest-<user>-<instance>-rest-<hostname>.out
+* $REST_INSTALL_DIR/logs/rest-<user>-<instance>-rest-<hostname>.log
+* $REST_INSTALL_DIR/logs/rest-<user>-<instance>-rest-<hostname>.out
 
 The logs are your best resource when troubleshooting the REST server.
 
@@ -70,4 +70,4 @@ The commands (and arguments) are:
 	addauth scheme auth
 	delete path [version]
 	setquota -n|-b val path
-----
\ No newline at end of file
+----

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/f7f1ee95/core/rest/src/main/java/org/trafodion/rest/Constants.java
----------------------------------------------------------------------
diff --git a/core/rest/src/main/java/org/trafodion/rest/Constants.java b/core/rest/src/main/java/org/trafodion/rest/Constants.java
index 52b210e..08fa1d7 100644
--- a/core/rest/src/main/java/org/trafodion/rest/Constants.java
+++ b/core/rest/src/main/java/org/trafodion/rest/Constants.java
@@ -48,7 +48,7 @@ public final class Constants {
   public static final String DCS_MASTER_PORT = "dcs.master.port";
 
   /** Default value for DCS master port */
-  public static final int DEFAULT_DCS_MASTER_PORT = 37800;
+  public static final int DEFAULT_DCS_MASTER_PORT = 23400;
   
   /** Name of ZooKeeper quorum configuration parameter. */
   public static final String ZOOKEEPER_QUORUM = "rest.zookeeper.quorum";

http://git-wip-us.apache.org/repos/asf/incubator-trafodion/blob/f7f1ee95/dcs/src/main/asciidoc/_chapters/troubleshooting.adoc
----------------------------------------------------------------------
diff --git a/dcs/src/main/asciidoc/_chapters/troubleshooting.adoc b/dcs/src/main/asciidoc/_chapters/troubleshooting.adoc
index 9f94853..814e74b 100644
--- a/dcs/src/main/asciidoc/_chapters/troubleshooting.adoc
+++ b/dcs/src/main/asciidoc/_chapters/troubleshooting.adoc
@@ -159,7 +159,7 @@ On Linux cluster, if you run into issues please check dcs log files located in $
 
 Validate that the interace is set up correctly. This command should only show one additional interface for HA configuration
 ----
-pdsh $MY_NODES "/sbin/ip addr show |grep 23400"
+pdsh $MY_NODES "sudo /sbin/ip addr show |grep 23400"
 ----
 
 Validate to get the list of  all the DcsMaster that are configured and started in the cluster